Skip to content
The API may change between versions while TTX-Zone is 0.x.

Verify TOTP login

POST
/api/v1/auth/login/verify-totp
curl --request POST \
--url https://example.com/api/v1/auth/login/verify-totp \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "method": "totp", "mfa_pending_token": "example" }'

Finish signing in with an authenticator or backup code.

Media typeapplication/json
VerifyTotpLoginRequest
object
code
required
Code
string
>= 6 characters <= 17 characters
method
Any of:
string
Allowed values: totp email backup_code
mfa_pending_token
required
Mfa Pending Token
string
>= 1 characters

Successful Response

Media typeapplication/json
LoginResponse
object
mfa_methods
Mfa Methods
Array<string>
default:
Allowed values: totp email backup_code
mfa_pending_token
Any of:
string
mfa_preferred
Any of:
string
Allowed values: totp email
mfa_required
required
Mfa Required
boolean
user
Any of:
UserRead
object
email
required
Email
string
full_name
required
Full Name
string
id
required
Id
string format: uuid

Example

{
"mfa_methods": [],
"mfa_preferred": "totp"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}